.button{
    display: block;
    position: fixed;
    z-index: 1000;
    right: 28px;
    top: 0;
    overflow: hidden;
    margin-top: 23px;
    padding: 0;
    width: 44px;
    height: 40px;
    background-color: #000;
    border: none;
    cursor: pointer;
    @media (min-width: 768px){
        display: none;
    }
}
.button__span{
    display: block;
    position: absolute;
    top: 17px;
    right: 13px;
    left: 13px;
    height: 2px;
    background-color: #fff;
    

    &::before{
        @extend %btn-pseudo;
        top: 4px;
    }
    
    &::after{
        @extend %btn-pseudo;
        bottom: 4px;
    }
}
.button__span.active{
    background: none;

    &::before{
        transform: rotate(-45deg);
        top: 0;
    }
    
    &::after{
        transform: rotate(45deg);
        bottom: 0;
    }
}
.navigator{
    display: none;
    position: fixed;
    z-index: 1000;
    margin-top: 60px;
    right: 27px;
    top: 0;
    @media (min-width: 768px){
        display: flex;
        justify-content: center;
        position: static;
        margin-top: 40px;
    }
    @media (min-width: 1200px){
        margin-top: 45px;
    }

    &__list{
        list-style: none;
        width: 182px;
        background-color: #F5F5F5;
        padding: 0;
        margin: 0;

        @media (min-width: 768px){
            display: flex;
            background: none;
            width: inherit;
        }
    }

    &__item{
        padding-left: 12px;
        @media (min-width: 768px){
            padding-left: 0;
            margin-left: 34px;
        }
        @media (min-width: 1200px){
            margin-left: 68px;
        }
    }
    &__item:first-child{
        @media (min-width: 768px){
            margin-left: 0;
        }
        @media (min-width: 1200px){
            margin-left: 0;
        }
    }
    &__link{
        text-decoration: none;
        color: #4E4E4E;
        font-size: 11px;
        line-height: 30px;
        text-transform: uppercase;
    }
    &__link:hover{
        @media (min-width: 768px){
            color: #57A4A4;
        }
    }
}
.navigator.show{
    display: block;
}

